import { initDataMgr_NGT_02 } from "../manager/data_mgr";
import { initEventMgr_NGT_02 } from "../manager/event_mgr";
import { initStorageMgr_NGT_02 } from "../manager/local_storage";
import { initResMgr_NGT_02 } from "../manager/res_mgr";
import { initSndMgr_NGT_02 } from "../manager/snd_mgr";
import { initUtils_NGT_02 } from "./utils";
import { initEnumMgr_NGT_02 } from "../game/speaker";

// 全局环境预声明
export function initGlobal_NGT_02() {
    console.log('window.g init');
    if (!window.g) {
        window.g = {};
        initDataMgr_NGT_02();
        initEventMgr_NGT_02();
        initStorageMgr_NGT_02();
        initResMgr_NGT_02();
        initSndMgr_NGT_02();
        initUtils_NGT_02();
        initEnumMgr_NGT_02();
    }
}